Add Citoid support to ProveIt
Closed, ResolvedPublic0 Story Points

Description

Citoid is a service that allows generating a citation from a URL.

See also https://tools.wmflabs.org/refill/

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2016, 6:49 PM
Sophivorus triaged this task as Normal priority.Oct 14 2016, 6:49 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 25 2016, 6:46 PM
Jdforrester-WMF renamed this task from Add Citoid support to Add Citoid support to ProveIt.Oct 26 2016, 8:09 PM
Mvolz moved this task from Backlog to Zotero & External on the Citoid board.Oct 28 2016, 3:15 PM
Iniquity moved this task from Backlog to Enhancements on the ProveIt-Gadget board.Nov 21 2016, 4:42 PM
Sophivorus added a comment.EditedJun 7 2017, 8:22 PM

I just merged my own implementation of this functionality (https://gerrit.wikimedia.org/r/#/c/357676/) hope you like it! I will leave this task open for a while to deal with any bugs or requests.


Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 7 2017, 8:26 PM
Sophivorus reopened this task as Open.Jun 7 2017, 8:59 PM
Iniquity added a subscriber: Iniquity.EditedJun 12 2017, 9:20 PM

@Sophivorus yeah! It is really cool function. But I think we need to add "Button" instead of "Press Enter".

Also, CitoId can auto-select a template. In my opinion ProveIt must have this functionality.

Jdforrester-WMF set the point value for this task to 0.Jun 13 2017, 5:55 PM

@Iniquity I agree, the current interface isn't the best. Design proposals welcome!

As to the auto-select template, I agree too, and I have an implementation planned, will be up soon!

@Sophivorus Maybe smth like that?

@Iniquity Definitely better than the current solution! Thanks, if we don't come up with a better one, that'll be it.

@Sophivorus, thanks:) Maybe someone have the better idea :) For example 'Icon' instead of 'text'.

Sophivorus added a comment.EditedJun 27 2017, 4:42 PM

https://gerrit.wikimedia.org/r/#/c/361694/

I added a button to the interface as you suggested. However, I had trouble making it look like you designed it, because doing so would require adding a third column to the reference table, and colspan="2" to every other field. In the end I thought that complicating the code that much wasn't worth it, so I settled for a floating button with a basic style, which in my opinion looks decent in this context. I also applied this button style to the "Today" button, making the overall look of the gadget a little bit more consistent.

Finally, I did some CSS changes to the List and Add tabs. I hope you like them!

@Sophivorus yeap! I like your button, but please, can you delete the tab's border radius? :)

@Iniquity Done, just for you. XD

Sophivorus closed this task as Resolved.Nov 4 2017, 1:44 AM
Sophivorus claimed this task.